Numpy: 'numpy.core._multiarray_umath'という名前のモジュールはありません

作成日 2019å¹´02月16日  Â·  23コメント  Â·  ソース: numpy/numpy

anaconda3にTensorFlow、Kerasをインストールしました。

C:\conda create --name neuralnets python=3.7
C:\activate neuralnets

(neuralnets) C:\conda install theano
(neuralnets) C:\conda install mingw libpython
(neuralnets) C:\pip install tensorflow
(neuralnets) C:\pip install keras

コード例の再現:

このコマンドを実行しました:

(neuralnets) C:\python -c "from keras import backend; print(backend._BACKEND)"

次のエラーが発生しました:

Traceback (most recent call last):
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\__init__.py", line 16, in <module>
    from . import multiarray
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\multiarray.py", line 12, in <module>
    from . import overrides
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\overrides.py", line 6, in <module>
    from numpy.core._multiarray_umath import (
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\lib\site-packages\keras\__init__.py", line 3, in <module>
    from . import utils
  File "C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\lib\site-packages\keras\utils\__init__.py", line 2, in <module>
    from . import np_utils
  File "C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\lib\site-packages\keras\utils\np_utils.py", line 6, in <module>
    import numpy as np
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\__init__.py", line 142, in <module>
    from . import core
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\__init__.py", line 47, in <module>
    raise ImportError(msg)
ImportError:
import numpy as np
<< your code here >>

エラーメッセージ:

Numpy / Pythonのバージョン情報:

誰か助けてもらえますか? 私はkerasとtensorflowを使うのは初めてです。 今学期の授業で使っています。

ありがとう

29 - InteAnaconda

最も参考になるコメント

pip install tensorflowはPyPIからnumpyをピックアップしました。 試す

pip uninstall numpy
conda install numpy

それはおそらく物事を修正します

全てのコメント23件

ContinuumIO / anaconda-issues#10628が原因で、おそらく#12957の複製です。 重複した問題からコピーされたコメント:

anacondaで提供される追加のサポートライブラリの場所と、 pip installから取得するstocknumpyで提供されるライブラリの場所には違いがあります。 これには、 PATH変数の調整が必要です。 おそらく、 PATH調整がインポート時に失敗しています。 site-packages\numpy\.libsディレクトリが存在し、 *.dllファイルが含まれていますか?存在する場合、Pythonを実行する前にそのディレクトリをPATH前に追加してみてください。

rem This fails
python -c "import numpy"

rem Does this succeed ??? 
PATH=path\to\site-packages\numpy\.libs;%PATH%
python -c "import numpy"

しかし、あなたの場合、何かが違うと、numpyへのパスにパス区切り文字がありません: C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core__init__.pyはC:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\__init__.py必要があります。 それはコピーアンドペーストエラーですか?

numpyへのパスにパス区切り文字がありません:

githubのフォーマットの問題で、 ```でラップすると問題が解決しました

@bsathyan :完全なエラーメッセージを表示していません。 最後のImportError後に続く部分も貼り付けることができますか?

以下に添付されている@ eric-wieserは、完全なエラースレッドです。 他にご不明な点がございましたら、お気軽にお問い合わせください。

ありがとう :)

(neuralnets) C:\Users\Z0035HPP>python -c "from keras import backend; print(backend._BACKEND)"
Traceback (most recent call last):
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\__init__.py", line 16, in <module>
    from . import multiarray
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\multiarray.py", line 12, in <module>
    from . import overrides
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\overrides.py", line 6, in <module>
    from numpy.core._multiarray_umath import (
ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\lib\site-packages\keras\__init__.py", line 3, in <module>
    from . import utils
  File "C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\lib\site-packages\keras\utils\__init__.py", line 2, in <module>
    from . import np_utils
  File "C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\lib\site-packages\keras\utils\np_utils.py", line 6, in <module>
    import numpy as np
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\__init__.py", line 142, in <module>
    from . import core
  File "C:\Users\Z0035HPP\AppData\Roaming\Python\Python37\site-packages\numpy\core\__init__.py", line 47, in <module>
    raise ImportError(msg)
ImportError:

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
Here is how to proceed:
- If you're working with a numpy git repository, try `git clean -xdf`
  (removes all files not under version control) and rebuild numpy.
- If you are simply trying to use the numpy version that you have installed:
  your installation is broken - please reinstall numpy.
- If you have already reinstalled and that did not fix the problem, then:
  1. Check that you are using the Python you expect (you're using C:\Users\Z0035HPP\AppData\Local\Continuum\anaconda3\envs\neuralnets\python.exe),
     and that you have no directories in your PATH or PYTHONPATH that can
     interfere with the Python and numpy versions you're trying to use.
  2. If (1) looks fine, you can open a new issue at
     https://github.com/numpy/numpy/issues.  Please include details on:
     - how you installed Python
     - how you installed numpy
     - your operating system
     - whether or not you have multiple versions of Python installed
     - if you built from source, your compiler versions and ideally a build log

     Note: this error has many possible causes, so please don't comment on
     an existing issue about this - open a new one instead.

Original error was: No module named 'numpy.core._multiarray_umath'

私も同じ問題に直面しています。

Traceback (most recent call last):
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\numpy\core\__init__.py", line 16, in <module>
    from . import multiarray
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\numpy\core\multiarray.py", line 12, in <module>
    from . import overrides
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\numpy\core\overrides.py", line 9, in <module>
    from numpy.core._multiarray_umath import add_docstring, ndarray
ImportError: DLL load failed: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "F:/Python Programs/Final Project/scratch_6.py", line 1, in <module>
    import tensorflow as tf
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\tensorflow\python\__init__.py", line 47, in <module>
    import numpy as np
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\numpy\__init__.py", line 142, in <module>
    from . import core
  File "F:\Anaconda\envs\Final_Project\lib\site-packages\numpy\core\__init__.py", line 47, in <module>
    raise ImportError(msg)
ImportError: 

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
Here is how to proceed:
- If you're working with a numpy git repository, try `git clean -xdf`
  (removes all files not under version control) and rebuild numpy.
- If you are simply trying to use the numpy version that you have installed:
  your installation is broken - please reinstall numpy.
- If you have already reinstalled and that did not fix the problem, then:
  1. Check that you are using the Python you expect (you're using F:\Anaconda\envs\Final_Project\python.exe),
     and that you have no directories in your PATH or PYTHONPATH that can
     interfere with the Python and numpy versions you're trying to use.
  2. If (1) looks fine, you can open a new issue at
     https://github.com/numpy/numpy/issues.  Please include details on:
     - how you installed Python
     - how you installed numpy
     - your operating system
     - whether or not you have multiple versions of Python installed
     - if you built from source, your compiler versions and ideally a build log

     Note: this error has many possible causes, so please don't comment on
     an existing issue about this - open a new one instead.

Original error was: DLL load failed: The specified module could not be found.

上記の

いいえ、パスは私にとってすでに正しいものでした。 はい、これはanacondaの問題です。 同じコードに仮想環境を使用しましたが、非常にうまく機能しました。 アナコンダに何か問題があるようです。

pip install tensorflowはPyPIからnumpyをピックアップしました。 試す

pip uninstall numpy
conda install numpy

それはおそらく物事を修正します

やあ、
私は同じ問題に遭遇し、pipを使用してnumpyをアンインストールし、condaを使用して再度インストールするというアドバイスに従いましたが、成功しませんでした。
ただし、次のImportErrorを使用してtensorboardを実行しようとしていました。まったく同じではありませんが、関連している可能性があります。

ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'
ImportError: numpy.core.multiarray failed to import

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
SystemError: <class '_frozen_importlib._ModuleLockManager'> returned a result with an error set
ImportError: numpy.core._multiarray_umath failed to import
ImportError: numpy.core.umath failed to import
2019-02-26 21:41:23.671349: F tensorflow/python/lib/core/bfloat16.cc:675] Check failed: PyBfloat16_Type.tp_base != nullptr 
Abort trap: 6

やあ、
私は同じ問題に遭遇し、pipを使用してnumpyをアンインストールし、condaを使用して再度インストールするというアドバイスに従いましたが、成功しませんでした。
ただし、次のImportErrorを使用してtensorboardを実行しようとしていました。まったく同じではありませんが、関連している可能性があります。

ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'
ImportError: numpy.core.multiarray failed to import

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
SystemError: <class '_frozen_importlib._ModuleLockManager'> returned a result with an error set
ImportError: numpy.core._multiarray_umath failed to import
ImportError: numpy.core.umath failed to import
2019-02-26 21:41:23.671349: F tensorflow/python/lib/core/bfloat16.cc:675] Check failed: PyBfloat16_Type.tp_base != nullptr 
Abort trap: 6

3.6 pythonを使用してtensorlowを実行していますか? TensorflowはPython3.7では機能しません。
私はあなたがこれをすることを提案します:

  1. 新しい3.6python環境を作成します。これは、anacondaがあると仮定して、ターミナルから実行することで実行できます。
    conda create --name tensorflow python = 3.6

    1. テンソルフローをアクティブにする:

      テンソルフローをアクティブにする

  2. 有効にしたら、すべてのパッケージをインストールしてみてください。

こんにちは@mjahmad 、
お返事をありがとうございます。 実際、私は自分の環境でPython 3.6.7しています

はい、わかりました。 何か役に立つことがあるかもしれない場合に備えて共有するだけです。
tensorflow再度アンインストールし、テンソルボードのバージョン1.12のみをインストールしました。
pip install tensorboard==1.12
今動作します

やあ!
python3.7にtensorflowをインストールすることに成功しました

  • 最初のインストールで失敗しましたメッセージ:ModuleNotFoundError: 'numpy.core._multiarray_umath'という名前のモジュールがありません
  • ModuleNotF oundError: 'numpy.core._multiarray_umath'という名前のモジュールが

pipアンインストールnumpy
pip install numpy
pipアンインストールtensorflow
pip installtensorflow

tensorflowをtfとしてインポートします
成功:>ありがとう

pip install tensorflowはPyPIからnumpyをピックアップしました。 試す

pip uninstall numpy
conda install numpy

それはおそらく物事を修正します

これで私の問題は解決しました、ありがとう

こんにちは、

私は同じ問題を抱えており、3.7と3.6の環境でそれを試しました。 ただし、まだ次のエラーがあります。

keras.modelsからインポートシーケンシャル

TensorFlowバックエンドを使用します。

ModuleNotFoundErrorトレースバック(最後の最後の呼び出し)
ModuleNotFoundError:「numpy.core._multiarray_umath」という名前のモジュールがありません

!pip uninstall numpy
動作しません。 実行され、結果なしで実行されます。

ありがとう!

さて、申し訳ありませんが、私は問題を解決しました。 多分それはあなたを助けるでしょう:
numpyの最新バージョンに更新:D
!pip install --upgrade numpy

。
やあ
このメールを送ってくれてありがとう。
困難な問題解決を互いに共有するために互いに助け合う
やってみましょう。 今日は良い一日を。
世界は君のものだ。 : NS
- - -オリジナルメッセージ - - -
差出人:「mario」 [email protected]
宛先: "numpy / numpy" [email protected] ;
Cc: "kobilinux" [email protected] ; "コメント" [email protected] ;
送信:2019-03-14(목)06:21:15(GMT + 09:00)
件名:Re:[numpy / numpy] 'numpy.core._multiarray_umath'という名前のモジュールはありません(#12977)

こんにちは、
私は同じ問題を抱えており、3.7と3.6の環境でそれを試しました。 ただし、まだ次のエラーがあります。
keras.modelsからインポートシーケンシャル

TensorFlowバックエンドを使用します。

ModuleNotFoundErrorトレースバック(最後の最後の呼び出し)
ModuleNotFoundError:「numpy.core._multiarray_umath」という名前のモジュールがありません
!pipアンインストールnumpy
動作しません。 実行され、結果なしで実行されます。
ありがとう!

さて、申し訳ありませんが、私は問題を解決しました。 多分それはあなたを助けるでしょう:
numpyの最新バージョンに更新:D
!pip install --upgrade numpy
—
あなたがコメントしたのであなたはこれを受け取っています。
このメールに直接返信するか、GitHubで表示するか、スレッドをミュートしてください。

閉鎖。 うまくいけば、これらの問題はアナコンダ側で解決されており、ここでの提案のいくつかは最適ではないようです。 最善の解決策は

pip uninstall numpy
conda install numpy

やあ!
python3.7にtensorflowをインストールすることに成功しました

  • 最初のインストールで失敗しましたメッセージ:ModuleNotFoundError: 'numpy.core._multiarray_umath'という名前のモジュールがありません
  • ModuleNotF oundError: 'numpy.core._multiarray_umath'という名前のモジュールが

pipアンインストールnumpy
pip install numpy
pipアンインストールtensorflow
pip installtensorflow

tensorflowをtfとしてインポートします
成功:>ありがとう

これは私のために働いた、ありがとう

こんにちは
以下のようにテンソルフローにアクセスしているときに同じエラーが発生します。

ModuleNotFoundErrorトレースバック(最後の最後の呼び出し)ModuleNotFoundError:「numpy.core._multiarray_umath」という名前のモジュールがありません

解決策:-Numpyを最新バージョンに更新します

次のようにnumpyを更新するためのsetp

setp1 open cmd
setp2 write pip install numpy == leatest versionを入力し、Enterキーを押します
例pipinstall numpy == 1.16.2

pip install tensorflowはPyPIからnumpyをピックアップしました。 試す

pip uninstall numpy
conda install numpy

それはおそらく物事を修正します

これは私にもうまくいきました。 tensorflowをインストールするpipがnumpyの2番目のバージョンを追加したようです

同じ種類のエラーが発生しました。anacondaを使用して仮想環境を作成し、必要なライブラリをインストールすることで解決しましたが、機能しました。

私は同じ問題を抱えていましたが、実行することでどういうわけかそれを乗り越えました
`` `
pipアンインストールnumpy
conda install numpy
pip install numpy

このエラーは、特定の環境に複数のパッケージが正しくインストールされていないことが原因のようです。 私にとって、jupyternotebookはその特定の仮想環境にインストールされていませんでした。 私は上記のコメントに従いました:

pip uninstall numpy
conda install numpy
pip install numpy 

そして、以下はそれを修正しました:

conda install jupyter
conda install -c conda-forge matplotlib 
conda install -c anaconda pandas

ここで、環境からjupyterノートブックを開いて、次のように記述します。

import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import tensorflow as tf

エラーはありません。

このページは役に立ちましたか?
0 / 5 - 0 評価